# std::match_results::max_size

From cppreference.com
< cpp‎ | regex‎ | match results

size_type max_size() const; |  | (since C++11)

Returns the maximum number of submatches the `match_results` type is able to hold due to system or library implementation limitations, i.e. std::distance(begin(), end()) for the largest number of submatches.

### Parameters

(none)

### Return value

Maximum number of submatches

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/max_size&oldid=91651"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template